function p.get_mesh() return "__SPECIAL__" end

function p.payload(level, bp)
    local center = std.block_center(bp)
    --
    ga_tele_pink2(center)
    --
    ga_play_sound("pink_ring")
end

function p.on_touch(level, bp)
    local dist = ga_block_dist_to_viewer(level, bp)
    if (dist > 0.4) then return end

    p.payload(level, bp)
end

function p.get_can_use(level, bp)
    return true
end

function p.get_use_msg(level, bp)
    return "Grow until find pink sphere"
end

function p.on_use(level, bp)
    p.payload(level, bp)
end
